> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mayar.id/llms.txt
> Use this file to discover all available pages before exploring further.

# Re-open Single Payment Request

> Endpoint used to change single payment request status from closed to open

<RequestExample>
  ```bash Request Example theme={null}
  curl --request GET 'https://api.mayar.id/hl/v1/payment/close/e890d24a-cfc0-4915-83d2-3166b9ffba9e' \
  --header 'Authorization: Bearer Paste-Your-API-Key-Here'
  ```
</RequestExample>

<ResponseExample>
  ```json Response example if success theme={null}
  {
      "statusCode": 200,
      "messages": "success"
  }
  ```

  ```json Response example if failed theme={null}
  {
      "statusCode": 200,
      "messages": "failed"
  }
  ```
</ResponseExample>

Endpoint:

<CodeGroup>
  ```Production Production theme={null}
  https://api.mayar.id/hl/v1/payment/open/{id}
  ```

  ```Sandbox Sandbox theme={null}
  https://api.mayar.club/hl/v1/payment/open/{id}
  ```
</CodeGroup>

## Authorization

<ResponseField name="Authorization" type="string" required>
  Example:

  `Authorization | Bearer Paste-Your-API-Key-Here`
</ResponseField>

## Path Parameters

<ParamField path="id" type="string <uuid>" required>
  Unique request payment ID.
</ParamField>

## Response

Successful Response

<ResponseField name="statusCode" type="integer">
  Status code form API.
</ResponseField>

<ResponseField name="messages" type="string">
  Status message that describes the status code.
</ResponseField>
